import {get, post} from "./request";
import {AppModel, EventDataModel, EventModel, UserModel} from "../../model";

// 获取用户归属应用列表
export function appList() {
    return get<AppModel[]>('/api/app/list')
}

// 根据应用id获取应用所有的事件列表
export function appEventList(appId: number) {
    return get<EventModel[]>('/api/app/event', {appId})
}

// 根据应用id获取应用所有的事件数据列表
export function appEventDataList(params: {
    appId: number;
    eventId?: number;
    page?: number;
    pageSize?: number;
}) {
    return get<EventDataModel[]>('/api/app/event-data', params)
}
