export type PvUvModel = {
    id: number;
    uid: number;
    uuid: number;
    type: 'pv' | 'uv' | string;
    location: string;
    resolution: string;
    browser: string;
    path: string;
    referrer: string;
    data: any;
    create_time: string;
}

export type EventDataModel = {
    id: number;
    uid: number;
    uuid: number;
    type: 'pv' | 'uv' | string;
    title:string;
    description:string;
    location: string;
    resolution: string;
    browser: string;
    path: string;
    referrer: string;
    data: any;
    create_time: string;
}
type BaseModel = {
    id: number;
    create_time: string;
    update_time: string;
    status: number;
}

/**
 * 应用
 */
export type AppModel = {
    uid: number;
    title: number;
} & BaseModel;

/**
 * 事件类型
 */
export type EventModel = {
    app_id: number;
    title: string;
    type: string;
    description: string;
} & BaseModel;

export type UserModel = {
    id: number;
    account?: string;
    name?: string;
    password?: string;
    token?: string;
}
