import {Response, Request} from 'express'
import {IncomingHttpHeaders} from "http";
import {UserModel} from "../../model";

export type InitServerOption = {
    port: number;
    host: string;
    https: boolean;
}
export type HttpMethod = 'all' | 'get' | 'post' | 'put' | 'delete' | 'patch' | 'options' | 'head' | string;
export type RouteHandleFunctionParam = {
    path: string;
    param: Record<string, any>;
    query: Record<string, any>;
    body: Record<string, any>;
    method: HttpMethod;
    user?: UserModel | null;
    headers: IncomingHttpHeaders;
    res: Response<any, Record<string, any>>
    req: Request
}
export type RouteHandleFunction = (params: RouteHandleFunctionParam) => void | Promise<void>;
