import {AppModel, EventModel, UserModel} from "../../model";
import {selectArray, selectOne} from "./mysql";

export function listAppByUID(uid: number) {
    return selectArray<AppModel>('select * from apps where uid=?', [uid])
}

export function getAppInfo(id: number) {
    // 查询app信息
    return selectOne<AppModel>('select * from apps where id=?', [id])
}

// 查询应用的事件
export function listAppEvent(id: number) {
    return selectArray<EventModel>('select * from events where app_id=0 or app_id=?', [id])
}

// 查询应用所有的事件数据
export function listAppEventData(id: number, page = 1, pageSize = 10) {
    return selectArray<EventModel>('select d.*,e.title,e.type,e.description from events_data d,events e where d.event_id = e.id and d.app_id=? limit ?,?',
        [id, (page - 1) * pageSize, pageSize])
}

export function login(username: string, password: string) {
    return selectOne<UserModel>('select * from user where account=? and password=?', [username, password]);
}
