import {createClient} from 'redis';

const client = createClient();

client.on('error', err => console.log('Redis Client', err));

client.connect().then(() => {
    console.log('connected to redis success')
})

export async function setToRedis(key: string, value: any, expire?: number) {
    if (!value) throw  new Error('value is required');
    await client.set(key, JSON.stringify(value))
    if (expire) await client.expire(key, expire);
    return;
}

// export async function getString(key: string) {
//     const data = await client.get(key);
//     if (!data) return null;
//     return data;
// }

export async function getFromRedis<T>(key: string) {
    const data = await client.get(key);
    if (!data) return null;
    console.log('getFromRedis=>',typeof(data),data)
    return JSON.parse(data) as T;
}

// 导出客户端)
export default client;
