import {defineConfig, PluginOption} from 'vite'
import react from '@vitejs/plugin-react'

export default defineConfig(({mode}) => {
    console.log('mode',mode)
    return {
        plugins: [
            react()
        ],
        resolve: {
            alias: {
                '@/': '/front/'
            }
        },
        // define: {
        //     buildVersion: JSON.stringify((new Date()).toLocaleString()),
        //     mode:JSON.stringify(mode),
        // },
        build: {
            outDir:'./dist/static',
            // 小于10kb直接base64
            assetsInlineLimit: 10240,
            rollupOptions: {
                output: {
                    manualChunks(id) {
                        if (id.includes('react')) {
                            return 'react-libs'
                        }
                        // if (id.includes('node_modules')) {
                        //     return id.toString().split('node_modules/')[1].split('/')[0].toString();
                        // }
                    }
                }
            }
        },
        base: "./",
        server: {
            proxy: {
                '/api': {
                    target: "http://app-report.wx.wm-app.xyz",
                    changeOrigin: true,
                    // rewrite: (path) => path.replace(/^\/api/, ""),
                }
            }
        }
    }
})
